group "GenericOptionAttributes.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 4 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
optionType?, commencementDate?, exerciseStyle?, strike*

Content Model Elements (4):

  commencementDate (defined in GenericOptionAttributes.model group),
  exerciseStyle,
  optionType (defined in GenericOptionAttributes.model group),
  strike (defined in GenericOptionAttributes.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  GenericProduct

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="GenericOptionAttributes.model"> <xsd:sequence> <xsd:element minOccurs="0" name="optionType" type="OptionType"/> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="exerciseStyle" type="GenericExerciseStyle"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="strike" type="GenericOptionStrike"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
commencementDate

  Type: | AdjustableDate2, complex content

  For options, the earliest exercise date of the option (corresponds to the option lock-out period).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commencementDate" type="AdjustableDate2"/>

exerciseStyle

  Type: | GenericExerciseStyle, simple content

  For options, whether the option is a put or call option.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseStyle" type="GenericExerciseStyle"/>

optionType

  Type: | OptionType, simple content

  For options, what type of option it is (e.g. butterfly).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="OptionType"/>

strike

  Type: | GenericOptionStrike, complex content

  The option strike or strikes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="strike" type="GenericOptionStrike"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.